summaryrefslogtreecommitdiffstats
path: root/tests/set-rpath.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2008-05-28 12:29:23 (GMT)
committerEelco Dolstra <e.dolstra@tudelft.nl>2008-05-28 12:29:23 (GMT)
commitdd00c212272e6871983421a480475becc3cdbd40 (patch)
tree10885e50c4b7783d516e271f7ac726cc9a0fb479 /tests/set-rpath.sh
parent36f96d03dba4a3bf19a3a228786aac5e69ea85d2 (diff)
downloadpatchelf-dd00c212272e6871983421a480475becc3cdbd40.zip
patchelf-dd00c212272e6871983421a480475becc3cdbd40.tar.gz
patchelf-dd00c212272e6871983421a480475becc3cdbd40.tar.bz2
* A test for setting the rpath on a library.
Diffstat (limited to 'tests/set-rpath.sh')
-rwxr-xr-xtests/set-rpath.sh10
1 files changed, 1 insertions, 9 deletions
diff --git a/tests/set-rpath.sh b/tests/set-rpath.sh
index 999acb4..b797017 100755
--- a/tests/set-rpath.sh
+++ b/tests/set-rpath.sh
@@ -13,20 +13,12 @@ oldRPath=$(../src/patchelf --print-rpath scratch/main)
if test -z "$oldRPath"; then oldRPath="/oops"; fi
../src/patchelf --force-rpath --set-rpath $oldRPath:$(pwd)/scratch/libsA:$(pwd)/scratch/libsB scratch/main
-#oldRPath=$(../src/patchelf --print-rpath scratch/libsA/libfoo.so)
-#if test -z "$oldRPath"; then oldRPath="/oops"; fi
-#../src/patchelf --set-rpath $oldRPath:$(pwd)/scratch/libsB scratch/libsA/libfoo.so
-
-#oldRPath=$(../src/patchelf --print-rpath scratch/libsB/libbar.so)
-#if test -z "$oldRPath"; then oldRPath="/oops"; fi
-#../src/patchelf --set-rpath $oldRPath:$(pwd)/scratch/libsC scratch/libsB/libbar.so
-
if test "$(uname)" = FreeBSD; then
export LD_LIBRARY_PATH=$(pwd)/scratch/libsB
fi
exitCode=0
-cd scratch && ./main || exitCode=$?
+(cd scratch && ./main) || exitCode=$?
if test "$exitCode" != 46; then
echo "bad exit code!"